getNames {AnaCoDa} | R Documentation

## Gene Names of Genome

### Description

returns the identifiers of the genes within the genome specified.

### Usage

    getNames(genome, simulated = FALSE)

### Arguments

`genome` | A genome object initialized with `initializeGenomeObject`.
`simulated` | A logical value denoting if the gene names to be listed are simulated or not. The default value is FALSE.

### Value

gene.names Returns the names of the genes as a vector of strings.

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    ## reading genome
    genome <- initializeGenomeObject(file = genome_file)

    ## return all gene ids for the genome
    geneIDs <- getNames(genome, FALSE)

[Package AnaCoDa version 0.1.3.0 Index]